org.apache.tomcat.util.compat

## Class JreCompat

- java.lang.Object
- - org.apache.tomcat.util.compat.JreCompat

-     public class JreCompat
      extends java.lang.Object

  This is the base implementation class for JRE compatibility and provides an implementation based on Java 6. Sub-classes may extend this class and provide alternative implementations for later JRE versions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JreCompat()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Locale` | `forLanguageTag(java.lang.String languageTag)`
    `static JreCompat` | `getInstance()`
    `static boolean` | `isJre7Available()`
    `static boolean` | `isJre8Available()`
    `void` | `setUseServerCipherSuitesOrder(javax.net.ssl.SSLEngine engine, boolean useCipherSuitesOrder)`
    `void` | `setUseServerCipherSuitesOrder(javax.net.ssl.SSLServerSocket socket, boolean useCipherSuitesOrder)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JreCompat

          public JreCompat()

  - ### Method Detail

    - #### getInstance

          public static JreCompat getInstance()

    - #### isJre7Available

          public static boolean isJre7Available()

    - #### forLanguageTag

          public java.util.Locale forLanguageTag(java.lang.String languageTag)

    - #### isJre8Available

          public static boolean isJre8Available()

    - #### setUseServerCipherSuitesOrder

          public void setUseServerCipherSuitesOrder(javax.net.ssl.SSLServerSocket socket,
                                           boolean useCipherSuitesOrder)

    - #### setUseServerCipherSuitesOrder

          public void setUseServerCipherSuitesOrder(javax.net.ssl.SSLEngine engine,
                                           boolean useCipherSuitesOrder)

Copyright © 2000-2015 Apache Software Foundation. All Rights Reserved.